Bug 166249 - CAN-2005-2490 sendmsg compat stack overflow
CAN-2005-2490 sendmsg compat stack overflow
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
All Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
impact=important,reported=20050817,so...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-18 06:38 EDT by Mark J. Cox (Product Security)
Modified: 2015-01-04 17:21 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-26 18:02:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2005-08-18 06:38:05 EDT
+++ This bug was initially created as a clone of Bug #166248 +++
See above bug for commentary and patch

Al Viro reported a flaw in sendmsg(). "When we copy 32bit ->msg_control contents
to kernel, we walk the same userland data twice without sanity checks on the
second pass.  Moreover, if original looks small enough, we end up copying to
on-stack array."

This is a kernel buffer overflow and therefore could lead to privilege escalation.

This affects 2.6 head, and from brief inspection the code in linux 2.6.9 is
similar and therefore RHEL4 is affected.

Marking as embargoed for now, needs reporting to vendor-sec and kernel@security
soon.
Comment 1 Mark J. Cox (Product Security) 2005-08-18 06:39:33 EDT
(also fc3)
Comment 2 Mark J. Cox (Product Security) 2005-08-31 05:43:23 EDT
Notified security@kernel.org, vendor-sec. 
Embargo set for one week, 20050907:12
Comment 3 Mark J. Cox (Product Security) 2005-09-08 05:33:00 EDT
Public 20050908, removing embargo

Note You need to log in before you can comment on or make changes to this bug.